version: '3.3'

services:
  api:
    container_name: characters-api
    image: registry.gitlab.com/lappis-unb/internal/guides/examples/characters:latest
    depends_on:
      - db
    env_file:
      - ./compose/prod/db.env
      - ./compose/prod/api.env
    ports:
      - 80:4000
    restart: unless-stopped
    volumes:
      - ./api:/code

  db:
    container_name: characters-db
    env_file:
      - ./compose/prod/db.env
    image: postgres
    restart: unless-stopped
    volumes:
      - ./postgres/prod/data:/var/lib/postgresql/data
